Package com.smartgwt.client.util.workflow

# Class FormEditRecordTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.FormEditNewRecordTask
com.smartgwt.client.util.workflow.FormEditRecordTask

All Implemented Interfaces:
  `HasHandlers`

public class FormEditRecordTask extends FormEditNewRecordTask
Edit a record currently showing in some other component. The source record is obtained as follows:

- for a ListGrid: the first selected record or, if none is selected, the first record
- for a DynamicForm: the form values
- for a DetailViewer: the first record

See Also:
  - `DynamicForm.editRecord(com.smartgwt.client.data.Record)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormEditRecordTask()`
  `FormEditRecordTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static FormEditRecordTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getRecordSourceComponent()`
  Component to pull record for editing.
  `FormEditRecordTask`
  `setRecordSourceComponent(String recordSourceComponent)`
  Component to pull record for editing.

  ### Methods inherited from class com.smartgwt.client.util.workflow.FormEditNewRecordTask

  `getInitialValues, setInitialValues`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormEditRecordTask

    public FormEditRecordTask()

  - ### FormEditRecordTask

    public FormEditRecordTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static FormEditRecordTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `FormEditNewRecordTask`

  - ### setRecordSourceComponent

    public FormEditRecordTask setRecordSourceComponent(String recordSourceComponent) throws IllegalStateException
    Component to pull record for editing.
    Parameters:
      `recordSourceComponent` - New recordSourceComponent value. Default value is null
    Returns:
      `FormEditRecordTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `GlobalId`

  - ### getRecordSourceComponent

    public String getRecordSourceComponent()
    Component to pull record for editing.
    Returns:
      Current recordSourceComponent value. Default value is null
    See Also:
      - `GlobalId`